<section>
  <form fxLayout="column"
        fxLayoutAlign="center center"
        #formRef="ngForm"
        (ngSubmit)="onSubmit(formRef)">
    <p class="form-title">Login</p>
    <mat-form-field>
      <input type="email"
             matInput
             placeholder="Your email"
             ngModel
             name="email"
             email
             required
             #emailRef="ngModel">
      <mat-error *ngIf="emailRef.hasError('required')">Email must not be empty</mat-error>
      <mat-error *ngIf="emailRef.hasError('email')">Email is invalid</mat-error>
    </mat-form-field>
    <mat-form-field>
      <input type="password"
             matInput
             placeholder="Your password"
             ngModel name="password"
             required
             #passwordInput="ngModel">
      <mat-error>Password must not be empty</mat-error>
    </mat-form-field>
    <button type="submit"
            mat-raised-button
            color="primary"
            class="confirm-button"
            [disabled]="formRef.invalid">Login
    </button>
  </form>
</section>
